# $Revision: 1.41 $, $Date: 2010/08/02 00:04:55 $
Summary:	Organize your preferred applications on the GNOME Panel
Summary(pl.UTF-8):	Umieszcza ulubione aplikacje użytkownika na panelu GNOME
Name:		gnome-applet-quick-lounge
Version:	2.14.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/quick-lounge-applet/2.14/quick-lounge-applet-%{version}.tar.gz
# Source0-md5:	ab78149818931a4cba03e59a675c151f
URL:		http://quick-lounge.sourceforge.net/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.12.0-2
BuildRequires:	gnome-doc-utils
BuildRequires:	gnome-desktop-devel >= 2.12.0
BuildRequires:	gnome-menus-devel >= 2.12.0
BuildRequires:	gnome-panel-devel >= 2.12.0
BuildRequires:	gnome-vfs2-devel >= 2.12.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeui-devel >= 2.12.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	scrollkeeper
Requires(post,preun):	GConf2
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Organize your preferred applications on the GNOME Panel.

%description -l pl.UTF-8
Umieszcza ulubione aplikacje użytkownika na panelu GNOME.

%prep
%setup -q -n quick-lounge-applet-%{version}

%build
cp -f /usr/share/automake/config.sub .
%{__gnome_doc_common}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	localedir=%{_datadir}/locale

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}
%find_lang quick-lounge-applet --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install quick-lounge.schemas
%update_icon_cache hicolor

%preun
%gconf_schema_uninstall quick-lounge.schemas

%postun
%scrollkeeper_update_postun
%update_icon_cache hicolor

%files -f quick-lounge-applet.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/quick-lounge-applet
%attr(755,root,root) %{_libdir}/quick-lounge-applet
%{_libdir}/bonobo/servers/*.server
%{_iconsdir}/hicolor/*/apps/*.png
%{_sysconfdir}/gconf/schemas/quick-lounge.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-quick-lounge.spec,v $
Revision 1.41  2010/08/02 00:04:55  baggins
- 2.14.0

Revision 1.40  2009/11/25 14:09:51  sparky
- BR: gettext-devel, gnome-doc-utils

Revision 1.39  2009/03/21 18:09:28  baggins
- 2.13.2
- it's devel version, but it builds and works with current libgnoemui
  (contrary to stable 2.12.x)

Revision 1.38  2009/03/21 14:24:35  wolvverine
- rel.2, STBR

Revision 1.37  2008/10/11 16:51:36  wolvverine
- up to 2.12.5, STBR

Revision 1.36  2008/02/02 12:23:37  hawk
- added %{__intltoolize}, release 3

Revision 1.35  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.34  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.32  2007/01/19 13:07:44  megabajt
- cleanup, improved previous commit log

Revision 1.31  2007/01/19 12:47:33  megabajt
- up to 2.12.4
- removed obsolete locale_names patch

Revision 1.30  2006/08/10 19:08:41  patrys
- up to 2.12.1

Revision 1.29  2005/10/30 20:46:32  paladine
- updated to 2.12.0

Revision 1.28  2005/06/06 21:22:05  zbyniu
- BR: pkgconfig

Revision 1.27  2005/04/13 20:46:39  paladine
- new style macros

Revision 1.26  2005/04/05 10:15:54  paladine
- updated to 2.10.0
- updated locale-names patch
- use new faster rpm's GConf automation
- run scrollkeeper-update in quiet mode
- proper license

Revision 1.25  2004/12/25 17:40:50  qboosh
- unified

Revision 1.24  2004/10/13 15:26:12  aflinta
- started update to version 2.2.0

Revision 1.23  2004/08/10 22:44:46  grzegol
- updated to 2.1.2

Revision 1.22  2004/03/31 14:59:15  grzegol
- updated to 2.1.1
- added locale-names patch (rename locale no -> nb)
- regenerate lt/al/ac/am

Revision 1.21  2004/03/12 10:06:11  andree
- copy config.sub

Revision 1.20  2003/11/23 20:26:28  grzegol
- updated to 2.0.3

Revision 1.19  2003/11/18 13:44:43  grzegol
- updated to 2.0.2

Revision 1.18  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.17  2003/09/22 06:00:57  aflinta
- version 2.0.1

Revision 1.16  2003/08/18 08:08:07  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.14  2003/07/14 10:10:15  trojan
- typo

Revision 1.13  2003/07/06 20:21:17  grzegol
- more BRs
- fixed %%files

Revision 1.12  2003/07/06 20:04:29  aflinta
- version 2.0.0

Revision 1.11  2003/06/27 20:16:29  blues
- more macros and some cleanups - inpired by kloczek

Revision 1.10  2003/06/27 12:15:42  qboosh
- more macros

Revision 1.9  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.8  2003/05/25 05:48:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/05/04 16:33:07  aflinta
- version 1.1.4

Revision 1.6  2003/02/28 15:31:29  aflinta
- updated to cersion 1.1.3

Revision 1.5  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.4  2003/01/27 14:22:13  aflinta
- updated to version 1.1.2

Revision 1.3  2003/01/17 08:41:29  trojan
- updated to 1.1.1
- moved from /usr/X11R6 to /usr

Revision 1.2  2002/10/16 10:06:51  qboosh
- pl fix, removed COPYING (known - GPL), Requires(post): GConf2

Revision 1.1  2002/10/15 13:06:54  trojan
- initial release
